Data - Retrieve Object Details
Lekéri a megadott objektumazonosító objektumok adatait.
POST http://<Servername>/OperationsManager/data/scomObjectsDetails
Kérelem törzse
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Típus | Description |
|---|---|---|
| id |
string[] |
Adja meg az objektumazonosítót. |
Válaszok
| Name | Típus | Description |
|---|---|---|
| 200 OK |
OKÉ. Sikeresen lekérte az objektumazonosító objektumadatait. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Példák
RetrieveObjectData
Mintakérelem
POST http://<Servername>/OperationsManager/data/scomObjectsDetails
[
"3c8ac4f3-475e-44dd-4163-8a97af363705"
]
Mintaválasz
{
"tableColumns": [
{
"field": "displayname",
"header": "Display name",
"type": null,
"hidden": false
},
{
"field": "path",
"header": "Path",
"type": null,
"hidden": false
},
{
"field": "id",
"header": "ID",
"type": null,
"hidden": true
},
{
"field": "fullname",
"header": "Full name",
"type": null,
"hidden": false
}
],
"rows": [
{
"id": "3c8ac4f3-475e-44dd-4163-8a97af363705",
"displayname": "All Windows Computers",
"path": null,
"fullname": "Microsoft.SystemCenter.AllComputersGroup"
}
]
}
Definíciók
| Name | Description |
|---|---|
|
Table |
|
|
Table |
TableColumn
| Name | Típus | Description |
|---|---|---|
| field |
string |
Az oszlop neve |
| header |
string |
Az oszlop fejléce |
| hidden |
boolean |
Az oszlop rejtve van |
| type |
string |
Az oszlop típusa |
TableDataResponse
| Name | Típus | Description |
|---|---|---|
| rows |
object[] |
Táblázat Adatsorok |
| tableColumns |
Tábla adatoszlopok |